<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Veranstalter\TeilnehmerInfo\Detailsreiter\BelegteKurse\AbmeldenDialog;

use Kufer\Web\KuferTools\Utils\DatamodulHelper\Teilnehmer\TeilnehmerHelper;

class AbmeldenDialogUseCase extends \Kufer\Web\KuferTools\Basis\TeilnehmerInfo\Detailsreiter\BelegteKurse\AbmeldenDialog\AbmeldenDialogUseCase
{
  public static function getToolId()
  {
    return \ToolsAPI::TOOL_TEILNEHMERINFO_VA;
  }

  public static function getToolSectionId()
  {
    return 691;
  }

  protected function getMainReiterId(): int
  {
    return 687;
  }

  protected function getToolIdKursuebersicht()
  {
    return \Kufer\Web\KuferTools\Veranstalter\KursUebersicht\KursUebersicht\KursUebersichtUseCase::getToolId();
  }

  protected function getTeilnehmerHelper()
  {
    return TeilnehmerHelper::createVeranstalterTeilnehmerUebersicht(
      $this->toolSettings,
      $this->getUser()
    );
  }
}

class AbmeldenDialogRequest
{
  public $belegungIds;
  public $tnr;
}

class AbmeldenDialogResponse extends \Kufer\Web\KuferTools\Basis\UseCase\ToolResponse
{
  public $kurs;
  public $termine;
  public $columns;
  public $teilnehmer;
  
}